Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CasProcessorErrorRateThreshold

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface CasProcessorErrorRateThreshold

extends MetaDataObject

An object to contains configuration specific to error handling applicable to every CasProcessor. It provides the means of configuring error thresholds and a strategy to deal with them when thresholds are exceeded.

Method Summary
`String` | `getAction()` Returns strategy for dealing with exceeding error thresholds.
`int` | `getMaxErrorCount()` Returns max number of errors tolerated by the CPE.
`int` | `getMaxErrorSampleSize()` Returns sample size.
`void` | `setAction(String aAction)` Sets a strategy for dealing with exceeding error thresholds.
`void` | `setMaxErrorCount(int aErrorCount)` Sets the max number of errors tolerated by the CPE.
`void` | `setMaxErrorSampleSize(int aSampleSize)` Sets the sample size.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### setMaxErrorCount

    void setMaxErrorCount(int aErrorCount)

  Sets the max number of errors tolerated by the CPE. If the the threshold is exceeded the CPE will take an action based on defined strategy. Max Error is defined in terms of a quotient, like 3/1000. Where 3 is the actual max error tolerance and 1000 is a sample size. So the above is interpreted as 3 errors per thousand entities processed.

  Parameters:
    `aErrorCount` - - max tolerated errors for CasProcessor

### getMaxErrorCount

    int getMaxErrorCount()

  Returns max number of errors tolerated by the CPE. If the the threshold is exceeded the CPE will take an action based on defined strategy. Max Error is defined in terms of a quotient, like 3/1000. Where 3 is the actual max error tolerance and 1000 is a sample size. So the above is interpreted as 3 errors per thousand entities processed.

  Returns:
    - max error count

### setMaxErrorSampleSize

    void setMaxErrorSampleSize(int aSampleSize)

  Sets the sample size. Max Error is defined in terms of a quotient, like 3/1000. Where 3 is the actual max error tolerance and 1000 is a sample size. So the above is interpreted as 3 errors per thousand entities processed.

  Parameters:
    `aSampleSize` -

### getMaxErrorSampleSize

    int getMaxErrorSampleSize()

  Returns sample size. Max Error is defined in terms of a quotient, like 3/1000. Where 3 is the actual max error tolerance and 1000 is a sample size. So the above is interpreted as 3 errors per thousand entities processed.

  Returns:
    - sample size

### setAction

    void setAction(String aAction)

  Sets a strategy for dealing with exceeding error thresholds. The three supported strategies are:
  - terminate - termines the CPE
  - continue - continue despite the error
  - disable - disable CasProcessor

  Parameters:
    `aAction` - - action to take

### getAction

    String getAction()

  Returns strategy for dealing with exceeding error thresholds. The three supported strategies are:
  - terminate - termines the CPE
  - continue - continue despite the error
  - disable - disable CasProcessor

  Returns:
    String - action to take

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.